package de.thdeg.greiner.superpangworld.graphics.immovable;

import de.thdeg.greiner.superpangworld.gameview.GameView;
import de.thdeg.greiner.superpangworld.graphics.base.GameObject;

import java.util.Random;

/**
 * The background for the game.
 */
public class Background extends GameObject {

    /**
     * Create a background object.
     *
     * @param gameView the gameView
     */
    public Background(GameView gameView)  {
        super(gameView);
        this.position.setTo(0,0);
        size = 1;
        rotation = 0;


    }

    @Override
    public void addToCanvas() {
        gameView.addImageToCanvas("background.png",position.x,position.y,size,rotation);
    }

    @Override
    public void updateStatus() {

    }
}
